package com.xhkjedu.sexam.controller.paper;

import com.xhkjedu.sexam.model.paper.EPaper;
import com.xhkjedu.sexam.service.paper.EPaperFjtypeService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
/**
 * @Description 附件试卷
 * @Author WN
 * Date 2022/7/18 13:57
 **/
@RestController
@RequestMapping("/epfj")
public class EPaperFjtypeController {

    @Resource
    private EPaperFjtypeService ePaperFjtypeService;

    //保存试卷信息
    @PostMapping("/save")
    public ResultVo savePaperFj(@RequestBody EPaper paper){
        N_Utils.validation(new Object[]{paper.getExamid(),"考试id",1});
        ePaperFjtypeService.saveFjPaper(paper);
        return new ResultVo(0,"成功保存试卷信息",null);
    }

}
